<template>
    <v-container>
      <v-layout column>

        <v-flex xs12 md6 lg6>
          <v-text-field
            :rules="rules"
            v-model="blog.baslik"
            label="Başlık"
            outlined
          ></v-text-field>
        </v-flex>

        <v-flex xs12 md6 lg6>
        <v-textarea
          :rules="rules"
          outlined
          name="input-7-4"
          label="İçerik"
          v-model="blog.icerik"
        ></v-textarea>
      </v-flex>

       <v-flex xs12 md6 lg6>
          <v-text-field
            :rules="rules"
            v-model="blog.yazar"
            label="Yazar"
            outlined
          ></v-text-field>
        </v-flex>

        <v-flex xs12 sm6 d-flex>
        <v-select
          :rules="rules"
          v-model="blog.kategori"
          :items="kategoriler"
          label="Kategori"
          outlined
        ></v-select>
      </v-flex>
<div class="flex-grow-1"></div>
    <v-col cols="12" sm="6" md="4">
      <v-dialog
        ref="dialog"
        v-model="model"
        :return-value.sync="date"
        persistent
        full-width
        width="290px"
      >
        <template v-slot:activator="{ on }">
          <v-text-field
            v-model="blog.date"
            label="Tarih seçin"
            v-on="on"
          ></v-text-field>
        </template>
        <v-date-picker v-model="blog.date" scrollable>
          <div class="flex-grow-1"></div>
          <v-btn text color="primary" @click="$refs.dialog.save(date)">OK</v-btn>
        </v-date-picker>
      </v-dialog>
    </v-col>
      </v-layout>
      <v-layout row justify-center>
        <v-flex xs12 md6>
          <div class="output">
            <h3>Ön İzleme</h3>
            <br/>
            <br/>
            <h2>{{ blog.baslik }}</h2>
            <hr>
            <p>{{ blog.icerik }}</p>
            <hr>
            <p>Yazar: {{ blog.yazar }}</p>
            <p>Kategori: {{ blog.kategori }}</p>
            <p>Tarih: {{ blog.date }}</p>
          </div>
          <div class="my-2">
        <v-btn text large color="primary" :disabled="!blog.baslik || !blog.icerik || !blog.yazar || !blog.kategori || !blog.date" @click.prevent="post">Gönder</v-btn>
      </div>
        </v-flex>
      </v-layout>
      <v-overlay
      :value="overlay"
      :opacity="opacity"
    >
      <v-btn
        class="white--text"
        color="#FF3D00"
        @click="overlay = false"
      >
        <span><v-icon>mdi-mouse</v-icon>Gönderi Alındı, Kapatmak İçin Tıklayın</span>
      </v-btn>
    </v-overlay>
    </v-container>
</template>

<script>

export default {
  data: () => ({
    blog: {
      baslik: '',
      icerik: '',
      yazar: '',
      kategori: '',
      date: ''
    },
    kategoriler: ['Bilimimsi', 'Tespitler Filan', 'Oradan Buradan', 'İlginçlikler'],
    overlay: false,
    opacity: 0.8,
    rules: [
      value => !!value || 'Doldurulması Zorunlu Alan'
    ],
    date: new Date().toISOString().substr(0, 10),
    menu: false,
    modal: false,
    menu2: false
  }),
  methods: {
    post () {
      const kat = this.blog.kategori
      if (kat === 'Bilimimsi') {
        this.$http.post('https://rekare-9321d.firebaseio.com/bilimimsi.json', this.blog
        ).then((data) => { console.log(data) })
      } else if (kat === 'Tespitler Filan') {
        this.$http.post('https://rekare-9321d.firebaseio.com/tespitlerfilan.json', this.blog
        ).then((data) => { console.log(data) })
      } else if (kat === 'Oradan Buradan') {
        this.$http.post('https://rekare-9321d.firebaseio.com/oradanburadan.json', this.blog
        ).then((data) => { console.log(data) })
      } else {
        this.$http.post('https://rekare-9321d.firebaseio.com/ilginclikler.json', this.blog
        ).then((data) => { console.log(data) })
      }
      this.overlay = true
      this.blog = ''
    }
  }
}

</script>

<style>
.output {
  border: dashed 2px;
  border-color: #FF3D00;
  padding:10px;
}
hr {
  border: 0.5px solid #FF3D00;
}

</style>
